Subject: ICANN election results

From: Graham Klyne <[email-masked]>
Date: Thu, 12 Oct 2000 10:29:53 +0100

I note with some amusement that the Chaos Computer Club <www.ccc.de> 
candidate <http://members.icann.org/cand/84.html> for election as European 
regional director to the ICANN board has topped the European vote by a 
substantial margin.

Other candidates for this post included people from nationalized telcos and 
EU/government research bodies;  see: <http://members.icann.org/nominees.html>.

#g
------------
Graham Klyne
([email-masked])